My widgets do not work in version 10/ jotform and variants

Customers loading their version 9 files in version 10 may encounter problems with their existing widgets.  If so then the first thing to try is to re-insert the widget from the version 10 Designs Gallery and delete the widget created in version 9.  This is especially true for the YouTube and Google Maps widget which have been updated to provide better support for use across variants.


Existing JotForm widgets will not work within multi variant documents until the form has been re-inserted.  Double click the form from within Designer to open the internal browser window and be directed to the JotForm service and ensure you click on the Xara button from the 'Embed Form Wizard' to retrieve the code within a format that's compatible with variant documents.


Customers integrating third party plugins/ widgets.

These should continue to work as they did in version 9.  In case of difficulty, please apply the special class name 'xr_noreset' to the element within the placeholder code from which the widget is invoked.  Please contact the support team for further assistance.

An example is the wowslider.  Select the widget and go to the HTML code (body) tab from the placeholder tab of the web properties dialog.  Change <div id="wowslider-container1" > to read <div id="wowslider-container1" class="xr_noreset">




(6 vote(s))
Not helpful